src/base/cs_calcium.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions
cs_calcium.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_calcium.h:

Go to the source code of this file.

## Macros
#define | CS_CALCIUM_CONTINUE 20
#define | CS_CALCIUM_STOP 22
#define | CS_CALCIUM_INSTANCE_LEN 72
#define | CS_CALCIUM_VARIABLE_LEN 144

## Enumerations
enum | cs_calcium_timedep_t { CALCIUM_time, CALCIUM_iteration }
enum | cs_calcium_continuation_t { CALCIUM_continue, CALCIUM_stop }

## Functions
int | cs_calcium_connect (int comp_id, char *s)
int | cs_calcium_disconnect (int comp_id, cs_calcium_continuation_t cont)
int | cs_calcium_read_int (int comp_id, cs_calcium_timedep_t time_dep, double *min_time, double *max_time, int *iteration, const char *var_name, int n_val_max, int *n_val_read, int val[])
int | cs_calcium_read_float (int comp_id, cs_calcium_timedep_t time_dep, double *min_time, double *max_time, int *iteration, const char *var_name, int n_val_max, int *n_val_read, float val[])
int | cs_calcium_read_double (int comp_id, cs_calcium_timedep_t time_dep, double *min_time, double *max_time, int *iteration, const char *var_name, int n_val_max, int *n_val_read, double val[])
int | cs_calcium_write_int (int comp_id, cs_calcium_timedep_t time_dep, double cur_time, int iteration, const char *var_name, int n_val, const int val[])
int | cs_calcium_write_float (int comp_id, cs_calcium_timedep_t time_dep, double cur_time, int iteration, const char *var_name, int n_val, const float val[])
int | cs_calcium_write_double (int comp_id, cs_calcium_timedep_t time_dep, double cur_time, int iteration, const char *var_name, int n_val, const double val[])
void | cs_calcium_set_component (int comp_id, void *comp)
void | cs_calcium_set_verbosity (int n_echo)
void | cs_calcium_load_yacs (const char *lib_path)
void | cs_calcium_unload_yacs (void)
void | cs_calcium_start_yacs (void)

## Macro Definition Documentation

#define CS_CALCIUM_CONTINUE 20

#define CS_CALCIUM_INSTANCE_LEN 72

#define CS_CALCIUM_STOP 22

#define CS_CALCIUM_VARIABLE_LEN 144

## Enumeration Type Documentation

enum cs_calcium_continuation_t

Enumerator
CALCIUM_continue |
CALCIUM_stop |

enum cs_calcium_timedep_t

Enumerator
CALCIUM_time |
CALCIUM_iteration |

## Function Documentation

int cs_calcium_connect | ( | int | comp_id,
|  | char * | s
| ) |  |

int cs_calcium_disconnect | ( | int | comp_id,
|  | cs_calcium_continuation_t | cont
| ) |  |

void cs_calcium_load_yacs | ( | const char * | lib_path | ) |

int cs_calcium_read_double | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double * | min_time,
|  | double * | max_time,
|  | int * | iteration,
|  | const char * | var_name,
|  | int | n_val_max,
|  | int * | n_val_read,
|  | double | val[]
| ) |  |

int cs_calcium_read_float | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double * | min_time,
|  | double * | max_time,
|  | int * | iteration,
|  | const char * | var_name,
|  | int | n_val_max,
|  | int * | n_val_read,
|  | float | val[]
| ) |  |

int cs_calcium_read_int | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double * | min_time,
|  | double * | max_time,
|  | int * | iteration,
|  | const char * | var_name,
|  | int | n_val_max,
|  | int * | n_val_read,
|  | int | val[]
| ) |  |

void cs_calcium_set_component | ( | int | comp_id,
|  | void * | comp
| ) |  |

void cs_calcium_set_verbosity | ( | int | n_echo | ) |

void cs_calcium_start_yacs | ( | void |  | ) |

void cs_calcium_unload_yacs | ( | void |  | ) |

int cs_calcium_write_double | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double | cur_time,
|  | int | iteration,
|  | const char * | var_name,
|  | int | n_val,
|  | const double | val[]
| ) |  |

int cs_calcium_write_float | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double | cur_time,
|  | int | iteration,
|  | const char * | var_name,
|  | int | n_val,
|  | const float | val[]
| ) |  |

int cs_calcium_write_int | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double | cur_time,
|  | int | iteration,
|  | const char * | var_name,
|  | int | n_val,
|  | const int | val[]
| ) |  |